=== debian/changelog ===
ros-melodic-moveit-kinematics (1.0.7-1stretch) stretch; urgency=high

  * [fix] Fix IKfast tests (#2331 <https://github.com/ros-planning/moveit/issues/2331>)
  * Contributors: Robert Haschke

 -- Dave Coleman <dave@picknik.ai>  Fri, 20 Nov 2020 07:00:00 -0000

ros-melodic-moveit-kinematics (1.0.6-1stretch) stretch; urgency=high

  * [maint] Adapt repository for splitted moveit_resources layout (#2199 <https://github.com/ros-planning/moveit/issues/2199>)
  * [maint] Migrate to clang-format-10
  * [maint] Optimize includes (#2229 <https://github.com/ros-planning/moveit/issues/2229>)
  * Contributors: Markus Vieth, Robert Haschke, Michael Görner

 -- Dave Coleman <dave@picknik.ai>  Wed, 19 Aug 2020 06:00:00 -0000

ros-melodic-moveit-kinematics (1.0.5-1stretch) stretch; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Wed, 08 Jul 2020 06:00:00 -0000

ros-melodic-moveit-kinematics (1.0.4-1stretch) stretch; urgency=high

  * Fix broken IKFast generator (#2116 <https://github.com/ros-planning/moveit/issues/2116>)
  * Contributors: Robert Haschke

 -- Dave Coleman <dave@picknik.ai>  Sat, 30 May 2020 06:00:00 -0000

ros-melodic-moveit-kinematics (1.0.3-1stretch) stretch; urgency=high

  * [feature] KDL IK: constrain wiggled joints to limits (#1953 <https://github.com/ros-planning/moveit/issues/1953>)
  * [feature] IKFast: optional prefix for link names (#1599 <https://github.com/ros-planning/moveit/issues/1599>)
    If you pass a link_prefix parameter in your kinematics.yaml, this string is prepended to the base and tip links.
    It allows multi-robot setups (e.g. dual-arm) and still instantiate the same solver for both manipulators.
  * [feature] IKFast: increase verbosity of generated script (#1434 <https://github.com/ros-planning/moveit/issues/1434>)
  * [maint]   Apply clang-tidy fix to entire code base (#1394 <https://github.com/ros-planning/moveit/issues/1394>)
  * [maint]   Fix errors: catkin_lint 1.6.7 (#1987 <https://github.com/ros-planning/moveit/issues/1987>)
  * [maint]   Windows build: Fix binary artifact install locations. (#1575 <https://github.com/ros-planning/moveit/issues/1575>)
  * [maint]   Use CMAKE_CXX_STANDARD to enforce c++14 (#1607 <https://github.com/ros-planning/moveit/issues/1607>)
  * [feature] IKFast: implement Translation*AxisAngle4D IK type (#1823 <https://github.com/ros-planning/moveit/issues/1823>)
  * [fix]     Fix possible division-by-zero (#1809 <https://github.com/ros-planning/moveit/issues/1809>)
  * Contributors: Christian Henkel, Martin Günther, Max Krichenbauer, Michael Görner, Robert Haschke, Sean Yen, Yu, Yan, jschleicher

 -- Dave Coleman <dave@picknik.ai>  Sun, 26 Apr 2020 06:00:00 -0000

ros-melodic-moveit-kinematics (1.0.2-1stretch) stretch; urgency=high

  * [fix] KDL IK solver: fix handling of mimic joints (#1490 <https://github.com/ros-planning/moveit/issues/1490>)
  * [fix] Fix ROS apt-key in OpenRAVE docker image (#1503 <https://github.com/ros-planning/moveit/issues/1503>)
  * [fix] Fix ikfast plugin-generator script (#1492 <https://github.com/ros-planning/moveit/issues/1492>, #1449 <https://github.com/ros-planning/moveit/issues/1449>)
  * Contributors: Immanuel Martini, Michael Görner, Robert Haschke

 -- Dave Coleman <dave@picknik.ai>  Fri, 28 Jun 2019 06:00:00 -0000

ros-melodic-moveit-kinematics (1.0.1-1stretch) stretch; urgency=high

  * [improve] Apply clang tidy fix to entire code base (Part 1) (#1366 <https://github.com/ros-planning/moveit/issues/1366>)
  * Contributors: Robert Haschke, Yu, Yan

 -- Dave Coleman <dave@picknik.ai>  Fri, 08 Mar 2019 07:00:00 -0000

ros-melodic-moveit-kinematics (1.0.0-1stretch) stretch; urgency=high

  * [fix] catkin_lint issues (#1341 <https://github.com/ros-planning/moveit/issues/1341>)
  * [capability] Adapt ikfast plugin to new KinematicsBase API. #1320 <https://github.com/ros-planning/moveit/issues/1320>
  * [improve] cleanup LMA kinematics solver #1318 <https://github.com/ros-planning/moveit/issues/1318>
  * [improve] KDL IK solver improvements (#1321 <https://github.com/ros-planning/moveit/issues/1321>)
  * [improve] Kinematics tests, kdl cleanup #1272 <https://github.com/ros-planning/moveit/issues/1272>, #1294 <https://github.com/ros-planning/moveit/issues/1294>
  * Contributors: Dave Coleman, Jorge Nicho, Mike Lautman, Robert Haschke

 -- Dave Coleman <dave@picknik.ai>  Sun, 24 Feb 2019 07:00:00 -0000

ros-melodic-moveit-kinematics (0.10.8-1stretch) stretch; urgency=high



 -- Dave Coleman <dave@dav.ee>  Mon, 24 Dec 2018 07:00:00 -0000

ros-melodic-moveit-kinematics (0.10.7-1stretch) stretch; urgency=high



 -- Dave Coleman <dave@dav.ee>  Thu, 13 Dec 2018 07:00:00 -0000

ros-melodic-moveit-kinematics (0.10.6-1stretch) stretch; urgency=high

  * [enhancement] Pass RobotModel to IK, avoiding multiple loading (#1166 <https://github.com/ros-planning/moveit/issues/1166>)
    See MIGRATION notes <https://github.com/ros-planning/moveit/blob/melodic-devel/MIGRATION.md> for API changes in IK plugins,
    kdl, srv, or cached_ik for examples.
  * [maintenance] Replaced Eigen::Affine3d -> Eigen::Isometry3d (#1096 <https://github.com/ros-planning/moveit/issues/1096>)
  * [maintenance] Use C++14 (#1146 <https://github.com/ros-planning/moveit/issues/1146>)
  * Contributors: Alex Moriarty, Michael Görner, Robert Haschke

 -- Dave Coleman <dave@dav.ee>  Sun, 09 Dec 2018 07:00:00 -0000

ros-melodic-moveit-kinematics (0.10.5-1stretch) stretch; urgency=high



 -- Dave Coleman <dave@dav.ee>  Thu, 01 Nov 2018 06:00:00 -0000

ros-melodic-moveit-kinematics (0.10.4-1stretch) stretch; urgency=high



 -- Dave Coleman <dave@dav.ee>  Mon, 29 Oct 2018 06:00:00 -0000

ros-melodic-moveit-kinematics (0.10.3-1stretch) stretch; urgency=high



 -- Dave Coleman <dave@dav.ee>  Mon, 29 Oct 2018 06:00:00 -0000

ros-melodic-moveit-kinematics (0.10.2-1stretch) stretch; urgency=high


