## ros-melodic-moveit-kinematics 1.0.11

=== debian/changelog ===
ros-melodic-moveit-kinematics (1.0.11-1bionic) bionic; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Mon, 12 Sep 2022 22:00:00 -0000

ros-melodic-moveit-kinematics (1.0.10-1bionic) bionic; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Sat, 05 Mar 2022 23:00:00 -0000

ros-melodic-moveit-kinematics (1.0.9-1bionic) bionic; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Sat, 08 Jan 2022 23:00:00 -0000

ros-melodic-moveit-kinematics (1.0.8-1bionic) bionic; urgency=high

  * Improve ikfast QUIET handling (#2685 <https://github.com/ros-planning/moveit/issues/2685>)
  * ikfast script: install sympy 0.7.1 from git (#2650 <https://github.com/ros-planning/moveit/issues/2650>)
  * Python3 compatibility for ikfast's round_collada_numbers.py (#2473 <https://github.com/ros-planning/moveit/issues/2473>)
  * Contributors: Tobias Fischer, ags-dy, Robert Haschke

 -- Dave Coleman <dave@picknik.ai>  Sat, 22 May 2021 22:00:00 -0000

ros-melodic-moveit-kinematics (1.0.7-1bionic) bionic; urgency=high

  * [fix] Fix IKfast tests (#2331 <https://github.com/ros-planning/moveit/issues/2331>)
  * Contributors: Robert Haschke

 -- Dave Coleman <dave@picknik.ai>  Thu, 19 Nov 2020 23:00:00 -0000

ros-melodic-moveit-kinematics (1.0.6-1bionic) bionic; urgency=high

  * [maint] Adapt repository for splitted moveit_resources layout (#2199 <https://github.com/ros-planning/moveit/issues/2199>)
  * [maint] Migrate to clang-format-10
  * [maint] Optimize includes (#2229 <https://github.com/ros-planning/moveit/issues/2229>)
  * Contributors: Markus Vieth, Robert Haschke, Michael Görner

 -- Dave Coleman <dave@picknik.ai>  Tue, 18 Aug 2020 22:00:00 -0000

ros-melodic-moveit-kinematics (1.0.5-1bionic) bionic; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Tue, 07 Jul 2020 22:00:00 -0000

ros-melodic-moveit-kinematics (1.0.4-1bionic) bionic; urgency=high

  * Fix broken IKFast generator (#2116 <https://github.com/ros-planning/moveit/issues/2116>)
  * Contributors: Robert Haschke

 -- Dave Coleman <dave@picknik.ai>  Fri, 29 May 2020 22:00:00 -0000

ros-melodic-moveit-kinematics (1.0.3-1bionic) bionic; urgency=high

  * [feature] KDL IK: constrain wiggled joints to limits (#1953 <https://github.com/ros-planning/moveit/issues/1953>)
  * [feature] IKFast: optional prefix for link names (#1599 <https://github.com/ros-planning/moveit/issues/1599>)
    If you pass a link_prefix parameter in your kinematics.yaml, this string is prepended to the base and tip links.
    It allows multi-robot setups (e.g. dual-arm) and still instantiate the same solver for both manipulators.
  * [feature] IKFast: increase verbosity of generated script (#1434 <https://github.com/ros-planning/moveit/issues/1434>)
  * [maint]   Apply clang-tidy fix to entire code base (#1394 <https://github.com/ros-planning/moveit/issues/1394>)
  * [maint]   Fix errors: catkin_lint 1.6.7 (#1987 <https://github.com/ros-planning/moveit/issues/1987>)
  * [maint]   Windows build: Fix binary artifact install locations. (#1575 <https://github.com/ros-planning/moveit/issues/1575>)
  * [maint]   Use CMAKE_CXX_STANDARD to enforce c++14 (#1607 <https://github.com/ros-planning/moveit/issues/1607>)
  * [feature] IKFast: implement Translation*AxisAngle4D IK type (#1823 <https://github.com/ros-planning/moveit/issues/1823>)
  * [fix]     Fix possible division-by-zero (#1809 <https://github.com/ros-planning/moveit/issues/1809>)
  * Contributors: Christian Henkel, Martin Günther, Max Krichenbauer, Michael Görner, Robert Haschke, Sean Yen, Yu, Yan, jschleicher

 -- Dave Coleman <dave@picknik.ai>  Sat, 25 Apr 2020 22:00:00 -0000

ros-melodic-moveit-kinematics (1.0.2-1bionic) bionic; urgency=high

  * [fix] KDL IK solver: fix handling of mimic joints (#1490 <https://github.com/ros-planning/moveit/issues/1490>)
  * [fix] Fix ROS apt-key in OpenRAVE docker image (#1503 <https://github.com/ros-planning/moveit/issues/1503>)
  * [fix] Fix ikfast plugin-generator script (#1492 <https://github.com/ros-planning/moveit/issues/1492>, #1449 <https://github.com/ros-planning/moveit/issues/1449>)
  * Contributors: Immanuel Martini, Michael Görner, Robert Haschke

 -- Dave Coleman <dave@picknik.ai>  Thu, 27 Jun 2019 22:00:00 -0000

ros-melodic-moveit-kinematics (1.0.1-1bionic) bionic; urgency=high

  * [improve] Apply clang tidy fix to entire code base (Part 1) (#1366 <https://github.com/ros-planning/moveit/issues/1366>)
  * Contributors: Robert Haschke, Yu, Yan

 -- Dave Coleman <dave@picknik.ai>  Thu, 07 Mar 2019 23:00:00 -0000

ros-melodic-moveit-kinematics (1.0.0-1bionic) bionic; urgency=high

  * [fix] catkin_lint issues (#1341 <https://github.com/ros-planning/moveit/issues/1341>)
  * [capability] Adapt ikfast plugin to new KinematicsBase API. #1320 <https://github.com/ros-planning/moveit/issues/1320>
  * [improve] cleanup LMA kinematics solver #1318 <https://github.com/ros-planning/moveit/issues/1318>
  * [improve] KDL IK solver improvements (#1321 <https://github.com/ros-planning/moveit/issues/1321>)
  * [improve] Kinematics tests, kdl cleanup #1272 <https://github.com/ros-planning/moveit/issues/1272>, #1294 <https://github.com/ros-planning/moveit/issues/1294>
  * Contributors: Dave Coleman, Jorge Nicho, Mike Lautman, Robert Haschke

 -- Dave Coleman <dave@picknik.ai>  Sat, 23 Feb 2019 23:00:00 -0000

ros-melodic-moveit-kinematics (0.10.8-1bionic) bionic; urgency=high



 -- Dave Coleman <dave@dav.ee>  Sun, 23 Dec 2018 23:00:00 -0000

ros-melodic-moveit-kinematics (0.10.7-1bionic) bionic; urgency=high



 -- Dave Coleman <dave@dav.ee>  Wed, 12 Dec 2018 23:00:00 -0000

ros-melodic-moveit-kinematics (0.10.6-1bionic) bionic; urgency=high

  * [enhancement] Pass RobotModel to IK, avoiding multiple loading (#1166 <https://github.com/ros-planning/moveit/issues/1166>)
    See MIGRATION notes <https://github.com/ros-planning/moveit/blob/melodic-devel/MIGRATION.md> for API changes in IK plugins,
    kdl, srv, or cached_ik for examples.

