=== debian/control ===
Source: ros-melodic-moveit-kinematics
Section: misc
Priority: optional
Maintainer: Dave Coleman <dave@picknik.ai>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-melodic-catkin, ros-melodic-moveit-core, ros-melodic-moveit-resources-fanuc-description <!nocheck>, ros-melodic-moveit-resources-fanuc-moveit-config <!nocheck>, ros-melodic-moveit-resources-panda-description <!nocheck>, ros-melodic-moveit-resources-panda-moveit-config <!nocheck>, ros-melodic-moveit-ros-planning <!nocheck>, ros-melodic-orocos-kdl, ros-melodic-pluginlib (>= 1.11.2), ros-melodic-roscpp, ros-melodic-rostest <!nocheck>, ros-melodic-tf2, ros-melodic-tf2-kdl, ros-melodic-xmlrpcpp <!nocheck>
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-melodic-moveit-kinematics
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, liburdfdom-tools, python-lxml, ros-melodic-moveit-core, ros-melodic-orocos-kdl, ros-melodic-pluginlib (>= 1.11.2), ros-melodic-roscpp, ros-melodic-tf2, ros-melodic-tf2-kdl
Description: Package for all inverse kinematics solvers in MoveIt!
